Summary:	Clamav ecap module
Name:		ecap-clamav
Version:	2.0.0
%define subrel 1
Release:	%mkrel 3
License:	BSD
Group:		Networking/Other
URL:		http://www.ecap.org
Source0:	http://www.measurement-factory.com/tmp/ecap/ecap_clamav_adapter-%{version}.tar.gz
Patch0:		ecap_clamav_adapter-2.0.0-size-mismatch.patch
Patch1:		ecap_clamav_adapter-2.0.0-fix-build-with-clamav-0.101.patch
BuildRequires:	pkgconfig(libecap)
BuildRequires:	ecap
BuildRequires:	pkgconfig(libclamav)
Requires:	squid

%description
The clamav component contains ecap interface for clamav.

%prep
%setup -n ecap_clamav_adapter-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%{_libdir}/ecap_clamav_adapter.*


%changelog
* Fri Nov 08 2019 ns80 <ns80> 2.0.0-3.1.mga7
+ Revision: 1458773
- add patch fix-build-with-clamav-0.101
- rebuild because major number of libclamav bump to 9

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-3.mga7
+ Revision: 1297555
- Mageia 7 Mass Rebuild

* Mon Mar 14 2016 luigiwalser <luigiwalser> 2.0.0-2.mga6
+ Revision: 990681
- add patch to fix data type mismatch
+ pterjan <pterjan>
- Update to 2.0.0 to support current libecap
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new libecap + libclamav
+ daviddavid <daviddavid>
- rebuild for new ecap

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 745121
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 678919
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 533834
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 dlucio <dlucio> 0.2.1-2.mga4
+ Revision: 475574
- spec fixes
- squid as a require

* Fri Sep 06 2013 dlucio <dlucio> 0.2.1-1.mga4
+ Revision: 475556
- P0 added
- imported package ecap-clamav

